Package com.android.server.os

# Class LinphoneTombstoneProtos.Thread

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Thread,LinphoneTombstoneProtos.Thread.Builder>
com.android.server.os.LinphoneTombstoneProtos.Thread

All Implemented Interfaces:
  `LinphoneTombstoneProtos.ThreadOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.Thread extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Thread,LinphoneTombstoneProtos.Thread.Builder> implements LinphoneTombstoneProtos.ThreadOrBuilder
Protobuf type `Thread`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.Thread.Builder`
Protobuf type `Thread`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BACKTRACE_NOTE_FIELD_NUMBER`
`static final int`
`CURRENT_BACKTRACE_FIELD_NUMBER`
`static final int`
`ID_FIELD_NUMBER`
`static final int`
`MEMORY_DUMP_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`PAC_ENABLED_KEYS_FIELD_NUMBER`
`static final int`
`REGISTERS_FIELD_NUMBER`
`static final int`
`TAGGED_ADDR_CTRL_FIELD_NUMBER`
`static final int`
`UNREADABLE_ELF_FILES_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`String`
`getBacktraceNote(int index)`
`repeated string backtrace_note = 7;`
`com.google.protobuf.ByteString`
`getBacktraceNoteBytes(int index)`
`repeated string backtrace_note = 7;`
`int`
`getBacktraceNoteCount()`
`repeated string backtrace_note = 7;`
`List<String>`
`getBacktraceNoteList()`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getCurrentBacktrace(int index)`
`repeated .BacktraceFrame current_backtrace = 4;`
`int`
`getCurrentBacktraceCount()`
`repeated .BacktraceFrame current_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getCurrentBacktraceList()`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.BacktraceFrameOrBuilder`
`getCurrentBacktraceOrBuilder(int index)`
`repeated .BacktraceFrame current_backtrace = 4;`
`List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder>`
`getCurrentBacktraceOrBuilderList()`
`repeated .BacktraceFrame current_backtrace = 4;`
`static LinphoneTombstoneProtos.Thread`
`getDefaultInstance()`
`int`
`getId()`
`int32 id = 1;`
`LinphoneTombstoneProtos.MemoryDump`
`getMemoryDump(int index)`
`repeated .MemoryDump memory_dump = 5;`
`int`
`getMemoryDumpCount()`
`repeated .MemoryDump memory_dump = 5;`
`List<LinphoneTombstoneProtos.MemoryDump>`
`getMemoryDumpList()`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.MemoryDumpOrBuilder`
`getMemoryDumpOrBuilder(int index)`
`repeated .MemoryDump memory_dump = 5;`
`List<? extends LinphoneTombstoneProtos.MemoryDumpOrBuilder>`
`getMemoryDumpOrBuilderList()`
`repeated .MemoryDump memory_dump = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`long`
`getPacEnabledKeys()`
`int64 pac_enabled_keys = 8;`
`LinphoneTombstoneProtos.Register`
`getRegisters(int index)`
`repeated .Register registers = 3;`
`int`
`getRegistersCount()`
`repeated .Register registers = 3;`
`List<LinphoneTombstoneProtos.Register>`
`getRegistersList()`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.RegisterOrBuilder`
`getRegistersOrBuilder(int index)`
`repeated .Register registers = 3;`
`List<? extends LinphoneTombstoneProtos.RegisterOrBuilder>`
`getRegistersOrBuilderList()`
`repeated .Register registers = 3;`
`long`
`getTaggedAddrCtrl()`
`int64 tagged_addr_ctrl = 6;`
`String`
`getUnreadableElfFiles(int index)`
`repeated string unreadable_elf_files = 9;`
`com.google.protobuf.ByteString`
`getUnreadableElfFilesBytes(int index)`
`repeated string unreadable_elf_files = 9;`
`int`
`getUnreadableElfFilesCount()`
`repeated string unreadable_elf_files = 9;`
`List<String>`
`getUnreadableElfFilesList()`
`repeated string unreadable_elf_files = 9;`
`static LinphoneTombstoneProtos.Thread.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.Thread.Builder`
`newBuilder(LinphoneTombstoneProtos.Thread prototype)`
`static LinphoneTombstoneProtos.Thread`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.Thread`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.Thread`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.Thread>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### ID_FIELD_NUMBER

public static final int ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### REGISTERS_FIELD_NUMBER

public static final int REGISTERS_FIELD_NUMBER

See Also:
  - Constant Field Values

### BACKTRACE_NOTE_FIELD_NUMBER

public static final int BACKTRACE_NOTE_FIELD_NUMBER

See Also:
  - Constant Field Values

### UNREADABLE_ELF_FILES_FIELD_NUMBER

public static final int UNREADABLE_ELF_FILES_FIELD_NUMBER

See Also:
  - Constant Field Values

### CURRENT_BACKTRACE_FIELD_NUMBER

public static final int CURRENT_BACKTRACE_FIELD_NUMBER

See Also:
  - Constant Field Values

### MEMORY_DUMP_FIELD_NUMBER

public static final int MEMORY_DUMP_FIELD_NUMBER

See Also:
  - Constant Field Values

### TAGGED_ADDR_CTRL_FIELD_NUMBER

public static final int TAGGED_ADDR_CTRL_FIELD_NUMBER

See Also:
  - Constant Field Values

### PAC_ENABLED_KEYS_FIELD_NUMBER

public static final int PAC_ENABLED_KEYS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getId

public int getId()
`int32 id = 1;`

Specified by:
  `getId` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The id.

### getName

public String getName()
`string name = 2;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The bytes for name.

### getRegistersList

public List<LinphoneTombstoneProtos.Register> getRegistersList()
`repeated .Register registers = 3;`

Specified by:
  `getRegistersList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getRegistersOrBuilderList

public List<? extends LinphoneTombstoneProtos.RegisterOrBuilder> getRegistersOrBuilderList()
`repeated .Register registers = 3;`

### getRegistersCount

public int getRegistersCount()
`repeated .Register registers = 3;`

Specified by:
  `getRegistersCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getRegisters

public LinphoneTombstoneProtos.Register getRegisters(int index)
`repeated .Register registers = 3;`

Specified by:
  `getRegisters` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getRegistersOrBuilder

public LinphoneTombstoneProtos.RegisterOrBuilder getRegistersOrBuilder(int index)
`repeated .Register registers = 3;`

### getBacktraceNoteList

public List<String> getBacktraceNoteList()
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  A list containing the backtraceNote.

### getBacktraceNoteCount

public int getBacktraceNoteCount()
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The count of backtraceNote.

### getBacktraceNote

public String getBacktraceNote(int index)
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNote` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The backtraceNote at the given index.

### getBacktraceNoteBytes

public com.google.protobuf.ByteString getBacktraceNoteBytes(int index)
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the backtraceNote at the given index.

### getUnreadableElfFilesList

public List<String> getUnreadableElfFilesList()
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  A list containing the unreadableElfFiles.

### getUnreadableElfFilesCount

public int getUnreadableElfFilesCount()
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The count of unreadableElfFiles.

### getUnreadableElfFiles

public String getUnreadableElfFiles(int index)
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFiles` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The unreadableElfFiles at the given index.

### getUnreadableElfFilesBytes

public com.google.protobuf.ByteString getUnreadableElfFilesBytes(int index)
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the unreadableElfFiles at the given index.

### getCurrentBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getCurrentBacktraceList()
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktraceList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getCurrentBacktraceOrBuilderList

public List<? extends LinphoneTombstoneProtos.BacktraceFrameOrBuilder> getCurrentBacktraceOrBuilderList()
`repeated .BacktraceFrame current_backtrace = 4;`

### getCurrentBacktraceCount

public int getCurrentBacktraceCount()
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktraceCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getCurrentBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getCurrentBacktrace(int index)
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktrace` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getCurrentBacktraceOrBuilder

public LinphoneTombstoneProtos.BacktraceFrameOrBuilder getCurrentBacktraceOrBuilder(int index)
`repeated .BacktraceFrame current_backtrace = 4;`

### getMemoryDumpList

public List<LinphoneTombstoneProtos.MemoryDump> getMemoryDumpList()
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDumpList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getMemoryDumpOrBuilderList

public List<? extends LinphoneTombstoneProtos.MemoryDumpOrBuilder> getMemoryDumpOrBuilderList()
`repeated .MemoryDump memory_dump = 5;`

### getMemoryDumpCount

public int getMemoryDumpCount()
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDumpCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getMemoryDump

public LinphoneTombstoneProtos.MemoryDump getMemoryDump(int index)
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDump` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getMemoryDumpOrBuilder

public LinphoneTombstoneProtos.MemoryDumpOrBuilder getMemoryDumpOrBuilder(int index)
`repeated .MemoryDump memory_dump = 5;`

### getTaggedAddrCtrl

public long getTaggedAddrCtrl()
`int64 tagged_addr_ctrl = 6;`

Specified by:
  `getTaggedAddrCtrl` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The taggedAddrCtrl.

### getPacEnabledKeys

public long getPacEnabledKeys()
`int64 pac_enabled_keys = 8;`

Specified by:
  `getPacEnabledKeys` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The pacEnabledKeys.

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Thread parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Thread parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Thread parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.Thread.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.Thread.Builder newBuilder(LinphoneTombstoneProtos.Thread prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Thread,LinphoneTombstoneProtos.Thread.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.Thread getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.Thread> parser()